package net.lemnik.eodsql;

import java.util.Map;

/**
 * A {@link QueryParams} object for <code>Map&lt;String,Object&gt;<code> result types.
 * 
 * @author Bernd Rinn
 */
public class MapQueryParams extends QueryParams<Map<String, Object>> {

    public MapQueryParams() {
    }

    @Override
    @SuppressWarnings("unchecked")
    public Class<Map<String, Object>> getBaseReturnType() {
        // This kludge by courtesy of the beautiful Java type system.
        return (Class<Map<String, Object>>) getMapBaseReturnType();
    }

    private Class<?> getMapBaseReturnType() {
        return Map.class;
    }

}
